<?php
/**
 * ImageManager Provider - Ignite Gallery
 *
 * @author 		R2H - Michael Snoeren
 * @link 		https://r2h.nl/
 * @license     GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

// Deny direct access
defined('_JEXEC') or die;

class plgIMProviderIgniteGalleryModelCategory extends JModelLegacy {
	/**
	 * Find the locations where this image is used
	 * @param 	String 	$img
	 * @access 	Public
	 * @return 	Array
	 */
	public function getLocations($img) {
		if (!is_string($img) || empty($img)) { return array(); }

		$db 					= $this->getDbo();
		$query 					= $db->getQuery(true);

		$query
		->select(array(
			$db->quoteName('id'),
			$db->quoteName('name')
		))
		->from($db->quoteName('#__igallery'))
		->where(array(
			$db->quoteName('menu_image_filename') . ' = ' . $db->quote(basename($img)),
			$db->quoteName('menu_description') . ' LIKE ' . $db->quote('%' . $img . '%')
		), 'OR');

		$db->setQuery($query);
		return $db->loadObjectList();
	}
}
