<?php
/**
 * ImageManager Provider - Ignite Gallery
 *
 * @author 		R2H - Michael Snoeren
 * @link 		https://r2h.nl/
 * @license     GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

// Deny direct access
defined('_JEXEC') or die;

class plgIMProviderIgniteGalleryModelImage extends JModelLegacy {
	/**
	 * Find images usage status in slides
	 * @param 	Array 	$imgs
	 * @access 	Public
	 * @return 	Array
	 */
	public function findUsage(array $imgs) {
		if (!count($imgs)) { return array(); }

		$retArr 				= array();

		foreach ($imgs as $img) {
			if (strpos($img, 'images/igallery/') !== false) {
				$retArr[$img] = true;
			}
		}

		return $retArr;
	}

	/**
	 * Find the locations where this image is used
	 * @param 	String 	$img
	 * @access 	Public
	 * @return 	Array
	 */
	public function getLocations($img) {
		if (!is_string($img) || empty($img)) { return array(); }

		$db 					= $this->getDbo();
		$query 					= $db->getQuery(true);

		$query
		->select(array(
			$db->quoteName('id'),
			$db->quoteName('gallery_id'),
			$db->quoteName('filename')
		))
		->from($db->quoteName('#__igallery_img'))
		->where(array(
			$db->quoteName('filename') . ' = ' . $db->quote(basename($img)),
			$db->quoteName('description') . ' LIKE ' . $db->quote('%' . $img . '%')
		), 'OR');

		$db->setQuery($query);
		return $db->loadObjectList();
	}
}
